(function( $ ) {
  $.time = function( name, fn ) {
    var startTime = Date.now()
    ,   returnValue = fn()
    ,   endTime = Date.now()
    ,   delta = endTime - startTime

    console.log( name + ' (time: '+ delta + ')')

    return returnValue
  }
  $.timeRepeat = function( name, times, fn ) {
    var startTime = Date.now()

    _(times).times( fn )

    var endTime = Date.now()
    var delta = endTime - startTime
    var avg = delta/times
    var resultString = name + ' (avg: '+ avg + ' over ' + times + ')'

    return {
      average: avg,
      times: times,
      resultString: resultString
    }
  }
})( tiQuery )
